pytest (7.2.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 7.2.1
  * Drop patch for Python 3.11 test workarounds (fixed by upstream)

 -- Timo Röhling <roehling@debian.org>  Mon, 16 Jan 2023 14:56:01 +0100

pytest (7.2.0-4) unstable; urgency=medium

  * Team upload.
  * Fix dependency issues with Python 3.11 transition.
    Both python3-exceptiongroup and python3-tomli are no longer
    needed with Python 3.11, but as long as Python 3.10 is still
    in the archive, pytest should depend on them to not break
    Python 3.10 tests. (Closes: #1027751)
  * Drop ${sphinxdoc:Built-Using} from python-pytest-doc
  * Bump Standards-Version to 4.6.2

 -- Timo Röhling <roehling@debian.org>  Mon, 02 Jan 2023 22:57:25 +0100

pytest (7.2.0-3) unstable; urgency=medium

  * Team upload.

  [ Jochen Sprickerhof ]
  * Drop unused build-depends

 -- Timo Röhling <roehling@debian.org>  Thu, 22 Dec 2022 00:49:17 +0100

pytest (7.2.0-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.
  * Drop ancient d/NEWS

 -- Timo Röhling <roehling@debian.org>  Wed, 14 Dec 2022 19:42:41 +0100

pytest (7.2.0-1) experimental; urgency=medium

  * Team upload.
  * New upstream version 7.2.0
  * Use autopkgtest-pkg-pybuild
  * Ignore flaky test_raise_assertion_error_raising_repr with Python < 3.11

 -- Timo Röhling <roehling@debian.org>  Mon, 12 Dec 2022 18:26:20 +0100

pytest (7.1.2-4) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove obsolete field Name from debian/upstream/metadata (already present in machine-readable debian/copyright).
  * Remove constraints unnecessary since buster (oldstable)
  * Apply multi-arch hints. + python-pytest-doc: Add Multi-Arch: foreign.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Fri, 14 Oct 2022 11:37:43 +0100

pytest (7.1.2-3) unstable; urgency=medium

  * Team upload

  [ Andreas Hasenack ]
  * d/t/control: also depend on lsof, used in the unittests-3 tests
  * d/t/control: Add allow-stderr restriction (LP: #1984135)

 -- Bastian Germann <bage@debian.org>  Tue, 27 Sep 2022 09:35:16 +0200

pytest (7.1.2-2) unstable; urgency=medium

  * upload to unstable

 -- Sandro Tosi <morph@debian.org>  Fri, 24 Jun 2022 23:09:47 -0400

pytest (7.1.2-1) experimental; urgency=medium

  * New upstream release; Closes: #1010605
  * Refresh patches
  * debian/control
    - run wrap-and-sort
    - bump Standard-Version to 4.6.1 (no changes needed)
  * debian/patches/PR10026.patch
    - fix manpage source location
  * debian/patches/0004-Fix-test_errors_in_xfail_skip_expressions-for-Python.patch
    - drop patch, merged upstream
  * debian/copyright
    - update upstream copyright years

 -- Sandro Tosi <morph@debian.org>  Tue, 07 Jun 2022 15:46:15 -0400

pytest (6.2.5-3) unstable; urgency=medium

  * Team upload.
  * Keep upstream's entry points

 -- Bastian Germann <bage@debian.org>  Fri, 20 May 2022 21:20:14 +0200

pytest (6.2.5-2) unstable; urgency=medium

  * Team upload.
  * Add upstream patch to fix test failure (Closes: #1002389)
  * Drop pluggy version restriction

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 15 Mar 2022 08:05:09 +0100

pytest (6.2.5-1) unstable; urgency=medium

  [ Scott Talbert ]
  * Update pytest-xdist Breaks version

  [ Sandro Tosi ]
  * New upstream release; Closes: #979477

 -- Sandro Tosi <morph@debian.org>  Tue, 07 Sep 2021 21:35:38 -0400

pytest (6.0.2-2) unstable; urgency=medium

  * Uploading to unstable.
  * Ignore changes in src/_pytest/_version.py,
    autogenerated with setuptools_scm
    (Closes: #978289).

 -- Ondřej Nový <onovy@debian.org>  Sat, 02 Jan 2021 14:34:07 +0100

pytest (6.0.2-1) experimental; urgency=medium

  * New upstream release.

 -- Ondřej Nový <onovy@debian.org>  Mon, 26 Oct 2020 13:31:47 +0100

pytest (6.0.1-1) experimental; urgency=medium

  [ Christian Kastner ]
  * New upstream release. (Closes: #965929)
    - Refresh patches
    - Drop obsolete patches
  * d/watch: Drop the 4.* limit
  * Add to Build-Depends, mostly for build-time tests: python3-argcomplete,
    python3-iniconfig, python3-mock, python3-pluggy, python3-requests,
    python3-toml, python3-pallets-sphinx-themes, python3-xmlschema
  * Skip failing test_code_highlight failing with pygments 2.3.1
  * Add python3-pygments to Build-Depends
  * Add python3-pygments to Recommends
  * Re-enable previously failing tests that now pass
  * Add autopkgtest for full upstream test suite
  * Update d/copyright

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

 -- Ondřej Nový <onovy@debian.org>  Mon, 12 Oct 2020 13:35:05 +0200

pytest (4.6.11-1) unstable; urgency=medium

  * New upstream release.

 -- Ondřej Nový <onovy@debian.org>  Thu, 11 Jun 2020 17:02:56 +0200

pytest (4.6.10-1) unstable; urgency=medium

  * New upstream release.
  * Drop PyPy support (Closes: #958848)
  * Set Rules-Requires-Root: no.
  * Bump Standards-Version to 4.5.0.
  * Bump debhelper compat level to 13.
  * d/tests/smoketest-3: Use supported not installed Python versions.
  * Fix doc-base and add symlinks for docs (Closes: #959974).

 -- Ondřej Nový <onovy@debian.org>  Fri, 05 Jun 2020 13:03:24 +0200

pytest (4.6.9-3) unstable; urgency=medium

  * debian/control
    - decorate python3-twisted with nocheck, as it's only used by unittests
  * Drop python2 support; Closes: #937558

 -- Sandro Tosi <morph@debian.org>  Tue, 14 Apr 2020 00:44:22 -0400

pytest (4.6.9-2) unstable; urgency=medium

  * remove python-twisted from b-d, 7 additional tests are skipped in
    test_unittest.py, but it allows to reduce the number ov reverse dependencies
    of python-twisted

 -- Sandro Tosi <morph@debian.org>  Mon, 30 Mar 2020 02:09:47 -0400

pytest (4.6.9-1) unstable; urgency=medium

  * New upstream release.
  * d/copyright: Bump copyright years.
  * python-pytest-doc: Prefer to recommend python3-pytest.
  * Build-Depend on python2-doc instead of python-doc.

 -- Ondřej Nový <onovy@debian.org>  Wed, 08 Jan 2020 16:42:25 +0100

pytest (4.6.8-1) unstable; urgency=medium

  * New upstream release.

 -- Ondřej Nový <onovy@debian.org>  Fri, 27 Dec 2019 18:02:28 +0100

pytest (4.6.7-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * New upstream release

  [ Stefano Rivera ]
  * Skip the mock integration test under PyPy, there isn't a pypy-mock
    package in Debian.
  * Patch: Restore write access to test directories, in writeable tests..

 -- Ondřej Nový <onovy@debian.org>  Tue, 10 Dec 2019 13:30:06 +0100

pytest (4.6.6-1) unstable; urgency=medium

  * New upstream release.
  * Add Breaks of older:
    - python{,3}-pytest-mock
  * Bump Standards-Version to 4.4.1.

 -- Ondřej Nový <onovy@debian.org>  Sun, 20 Oct 2019 22:13:09 +0200

pytest (4.6.5-2) unstable; urgency=medium

  * Add Breaks of older:
    - python{,3}-pytest-cov
    - python{,3}-pytest-xdist
    - python{,3}-pytest-xvfb
    - python{,3}-flaky
  * Drop versioned depends and breaks older than oldstable.
  * Remove python3-mock from B-D.

 -- Ondřej Nový <onovy@debian.org>  Mon, 12 Aug 2019 14:54:00 +0200

pytest (4.6.5-1) unstable; urgency=low

  * New upstream release.

 -- Ondřej Nový <onovy@debian.org>  Thu, 08 Aug 2019 10:17:18 +0200

pytest (4.6.4-1) unstable; urgency=medium

  * New upstream release
  * d/watch: Limit to major version 4, because 5+ is Python 3 only
  * d/patches/0006-tests-fix-test_raises_exception_looks_iterable.patch:
    Drop, applied upstream
  * d/patches: Rebased
  * Fix B-D a D for new upstream release
  * Disable some of Sphinx extensions which we don't have in Debian (yet)
  * Use debhelper-compat instead of debian/compat.
  * Bump debhelper compat level to 12.
  * Bump standards version to 4.4.0 (no changes).

 -- Ondřej Nový <onovy@debian.org>  Thu, 01 Aug 2019 23:10:41 +0200

pytest (3.10.1-2) unstable; urgency=medium

  * Fix test_raises_exception_looks_iterable test with newer Python 3.7
    (Closes: #916944)

 -- Ondřej Nový <onovy@debian.org>  Fri, 21 Dec 2018 18:49:26 +0100

pytest (3.10.1-1) unstable; urgency=medium

  * New upstream release (Closes: #914420)

 -- Ondřej Nový <onovy@debian.org>  Fri, 23 Nov 2018 18:59:56 +0100

pytest (3.9.3-2) unstable; urgency=medium

  * Uploading to unstable
  * Require newer version of {python,pypy}-pathlib2.
  * Add {python,pypy}-pathlib2 into runtim depends.

 -- Ondřej Nový <onovy@debian.org>  Thu, 22 Nov 2018 09:14:51 +0100

pytest (3.9.3-1) experimental; urgency=medium

  * New upstream release (Closes: #908181)
  * Convert git repository from git-dpm to gbp layout
  * d/p/0004-Fix-PyPy-SyntaxError-offset-in-tests.patch:
    Drop, applied upstream
  * Rebase patches
  * Fix B-D/D for new upstream release
  * Disable more tests - doesn't work with PyPy
  * Use PYBUILD_TEST_ARGS{,_pypy} for test disabling
  * Bump Standards-Version to 4.2.1 (no changes needed)

 -- Ondřej Nový <onovy@debian.org>  Wed, 07 Nov 2018 15:01:27 +0100

pytest (3.6.4-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version to 4.1.5 (no changes needed)

 -- Ondřej Nový <onovy@debian.org>  Tue, 31 Jul 2018 04:51:57 +0200

pytest (3.6.2-2) unstable; urgency=medium

  * Uploading to unstable

 -- Ondřej Nový <onovy@debian.org>  Wed, 27 Jun 2018 10:06:43 +0200

pytest (3.6.2-1) experimental; urgency=medium

  * New upstream release (Closes: #901568)
  * Arrange B-D for new upstream release
  * d/rules:
    - pytest src is now in src/ subdirectory
    - Skip testing/test_mark.py test
  * d/patches/0005-Drop-sphinxcontrib_trio-extension.patch: Add patch
  * Add upstream metadata

 -- Ondřej Nový <onovy@debian.org>  Wed, 20 Jun 2018 16:35:30 +0200

pytest (3.3.2-3) unstable; urgency=medium

  * d/tests: Use AUTOPKGTEST_TMP instead of ADTTMP
  * Fix PyPy SyntaxError offset in tests (Closes: #897557)
  * d/control: Remove ancient X-Python-Version field
  * d/control: Remove ancient X-Python3-Version field
  * Bump Standards-Version to 4.1.4 (no changes needed)

 -- Ondřej Nový <onovy@debian.org>  Thu, 10 May 2018 12:35:04 +0200

pytest (3.3.2-2) unstable; urgency=medium

  * Uploading to unstable

 -- Ondřej Nový <onovy@debian.org>  Wed, 07 Mar 2018 10:28:17 +0100

pytest (3.3.2-1) experimental; urgency=medium

  * New upstream release (Closes: #887342)
  * Add trailing tilde to pypy-hypothesis min version dependency
    (Closes: #891145)
  * d/control: Bump X-Python-Version to 2.7 and X-Python3-Version to 3.4
  * Fix B-D and D for new upstream release
  * Run wrap-and-sort -bast
  * Move python{,3}-twisted back to B-D (Closes: #844919)

 -- Ondřej Nový <onovy@debian.org>  Tue, 27 Feb 2018 15:00:33 +0100

pytest (3.2.5-2) unstable; urgency=medium

  * d/control:
    - Set Vcs-* to salsa.debian.org
    - Require fixed pypy-hypothesis (>= 3.44.1-2)
  * d/rules: Enable testing/python/metafunc.py again

 -- Ondřej Nový <onovy@debian.org>  Fri, 16 Feb 2018 15:34:30 +0100

pytest (3.2.5-1) unstable; urgency=medium

  * New upstream release
  * Remove Simon Chopin from uploaders and add myself (Closes: #889772)
  * Bump debhelper compat level to 11
  * d/copyright
    - Add myself for Debian part
    - Use https in Format
  * Update standards version to 4.1.3 (no changes needed)
  * d/watch: Use https
  * d/source/options: Ignore .egg_info
  * d/clean: Don't clean .egg_info
  * d/rules:
    - Disable testing/test_terminal.py test (requires terminal)
    - Disable testing/python/metafunc.py (requires hypothesis which is broken
      in pypy)
  * Move docs into /usr/share/doc/python-pytest
  * Install README.rst into pypy-pytest package
  * Don't run tests in nocheck profile

 -- Ondřej Nový <onovy@debian.org>  Wed, 07 Feb 2018 13:54:47 +0100

pytest (3.2.1-2) unstable; urgency=medium

  * Team upload.
  * debian/control:
    - Remove myself from Uploaders.
    - Bump all dependencies on python-py to 1.4.34 to avoid endless
      recursions. (Closes: #873961)
    - Bump Standards-Version.
    - Use https for Homepage.

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 04 Sep 2017 12:13:29 +0200

pytest (3.2.1-1) unstable; urgency=medium

  * New upstream release.
    - Properly escape test names when setting PYTEST_CURRENT_TEST environment
      variable. (Closes: #871994)

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 13 Aug 2017 17:34:34 +0200

pytest (3.2.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/control: Bump Standards-Version.
  * debian/{control,rules}: Build with python3-sphinx.

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 10 Aug 2017 20:07:28 +0200

pytest (3.1.3-1) unstable; urgency=medium

  * Upload to unstable.
  * New upstream release.
  * debian/control:
    - Add setuptool-scm to B-D.
    - Bump Standards-Version.

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 13 Jul 2017 13:59:38 +0200

pytest (3.0.7-2) experimental; urgency=medium

  * debian/rules: Remove obsolete mkdir.
  * debian/control: Remove obsolete version constraints.

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 21 Mar 2017 21:37:33 +0100

pytest (3.0.7-1) experimental; urgency=medium

  * New upstream release.

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 21 Mar 2017 21:15:44 +0100

pytest (3.0.6-1) unstable; urgency=medium

  * New upstream release.
  * debian/control: Fix B-C on python3-twisted.

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 26 Jan 2017 18:05:43 +0100

pytest (3.0.5-2) unstable; urgency=medium

  * debian/*: Install pytest entrypoints since logilab-common removed them.
    Also make the old py.test entrypoints symlinks to pytest.
  * debian/{control,compat}: Bump debhelper compat to 10.
  * debian/control: Use sphinxdoc:Built-Using for -doc package.

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 14 Dec 2016 20:43:52 +0100

pytest (3.0.5-1) unstable; urgency=medium

  * New upstream release.

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 09 Dec 2016 17:50:42 +0100

pytest (3.0.4-1) unstable; urgency=medium

  * New upstream release.
  * debian/control: Move python{,3}-twisted-core to Build-Conflicts until
    upstream issues #1989 is fixed. This is a temporary workaround for
    #844919.

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 19 Nov 2016 10:59:59 +0100

pytest (3.0.3-1) unstable; urgency=medium

  * New upstream release.

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 10 Oct 2016 20:07:18 +0200

pytest (3.0.2-1) unstable; urgency=medium

  * New upstream release.

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 03 Sep 2016 11:11:27 +0200

pytest (3.0.1-2) unstable; urgency=medium

  [ Julian Taylor ]
  * Add pypy package (Closes: #797977)

  [ Sebastian Ramacher ]
  * Upload to unstable.
  * debian/copyright: Fix copyright years and copyright information for
    doc/en/_themes.
  * debian/rules: Generate manpage for py.test-pypy.

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 30 Aug 2016 23:07:11 +0200

pytest (3.0.1-1) experimental; urgency=medium

  * New upstream release.
    - Fixes regression when using importorskip at module level. (Closes:
      #835242)
    - Fixes regression with parametrizing tests. (Closes: #835248)

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 25 Aug 2016 09:58:18 +0200

pytest (3.0.0-1) experimental; urgency=medium

  * New upstream release.
  * debian/patches/drop-entrypoints-logic.patch: Removed, included upstream.
  * debian/python{,3}.*: Remove versioned entry points as they are no longer
    provided upstream.
  * debian/control:
    - Add python{,3}-hypothesis to B-D.
    - Annotate B-Ds with <!nocheck> where possible.
    - Update debhelper and dpkg-dev B-D for build profiles support.
    - Update Description.
    - Bump X-Python3-Version.
  * debian/rules:
    - Update clean target.
    - Update ignored tests.
  * debian/NEWS: Document entrypoint changes.

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 21 Aug 2016 20:05:49 +0200

pytest (2.9.2-3) unstable; urgency=medium

  * No change rebuild because
    - w-b does not handle versioned Provides, and
    - python-pytest-doc got removed by the auto-decrufter which thought the
      binary package was removed.

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 18 Jul 2016 20:01:13 +0200

pytest (2.9.2-2) unstable; urgency=medium

  * debian/patches/intersphinx.patch: Use local intersphinx mappings. (Closes:
    #830566)

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 14 Jul 2016 23:06:09 +0200

pytest (2.9.2-1) unstable; urgency=medium

  * New upstream release.
  * debian/control: Bump Standards-Version.
  * debian/{rules,clean}: Move some parts of the clean override.

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 02 Jun 2016 21:59:49 +0200

pytest (2.9.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/rules:
    - Do not enable verbose dh and pybuild output.
    - Remove temporary directory for tests.
  * debian/copyright: Update copyright years and add myself.

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 21 Mar 2016 14:30:21 +0100

pytest (2.8.7-4) unstable; urgency=medium

  * debian/control:
    - Add myself to Uploaders.
    - Bump Standards-Version to 3.9.7.
    - Update Vcs-Git.
  * Better handling of py.test-X.Y. (Closes: #814834)
    - debian/patches/drop-entrypoints-logic.patch: Upstream patch to no longer
      generate py.test-X.Y entry points.
    - debian/python-pytest.links: Provide py.test-2.7 and manpage via symlink
      until we can drop them.
    - debian/rules: No longer remove unwanted artifacts, as they are no longer
      produced.
  * debian/rules: Build man and html in one call.
  * debian/tests/control: Reduce dependencies of tests to what is actually
    needed.

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 15 Feb 2016 22:08:06 +0100

pytest (2.8.7-3) unstable; urgency=medium

  * Team upload.
  * Revert changes from 2.8.7-2 that included /usr/bin/pytest-3.X in the
    package (Closes: #814622)

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 14 Feb 2016 16:36:55 +0100

pytest (2.8.7-2) unstable; urgency=medium

  * Team upload.
  * d/rules: Don't trim artifacts.

 -- Barry Warsaw <barry@debian.org>  Thu, 11 Feb 2016 14:38:16 -0500

pytest (2.8.7-1) unstable; urgency=medium

  * Team upload.

  [ Corey Bryant ]
  * d/control: Drop tox from build-depends.

  [ Barry Warsaw ]
  * New upstream release.
  * d/tests:
    - control: Add a Depends to pick up all supported Python 3 versions.
    - smoketest-{2,3}: Run the smoke tests against all installed versions
      of Python, instead of the supported versions.

 -- Barry Warsaw <barry@debian.org>  Mon, 08 Feb 2016 17:22:46 -0500

pytest (2.8.5-2) unstable; urgency=medium

  * Team upload.
  * debian/rules:
    - Reduce duplication between python-pytest and python-pytest-doc.
    - Build documentation in *build* step and not in install step.
  * debian/control: Remove XS-Testsuite, no longer needed.
  * Revert parts of c6eb0d1da9bdf2a0cfb40d69711e8a88e86d4657 and bring back
    rtinstall, rtremove, postinstall and prerm for python3-pytest. (Closes:
    #808763)
    Until we decide that py.test-X.Y scripts are not desired, this method
    actually generates them correctly and does not require a sourceful upload
    whenever the set of supported Python 3 version changes.

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 19 Jan 2016 15:59:35 +0100

pytest (2.8.5-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * d/control: Update the Vcs-* fields for git.
  * d/patches:
    - local-intersphinx: Removed; no longer necessary.
    - remove-herokuapp-images: Removed; no longer necessary.
    - remove_google_js: Updated.
  * d/rules:
    - Convert to --buildsystem=pybuild
    - override_dh_compress, override_dh_install, override_dh_auto_clean,
      override_dh_clean: Removed; let pybuild do it all for us.
    - override_dh_auto_test: Updated.
    - override_dh_installdocs: Added.
    - override_dh_auto_install: Added for tweaking the /usr/bin scripts
      shebang lines.
  * d/py.test.template: Removed.
  * d/*.install, *.postinst, *.prerm, *.rtinstall, *.rtremove: Removed.
  * d/tests: Since the unittests run during package build, we only need a
    couple of smoketests in the DEP-8 tests, just to ensure that pytest
    can be invoked on a simple Python test file.
  * wrap-and-sort

 -- Barry Warsaw <barry@debian.org>  Thu, 17 Dec 2015 19:41:09 -0500

pytest (2.7.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * debian/patches/issue844-py35-compat: Removed, applied upstream.

 -- Barry Warsaw <barry@debian.org>  Tue, 15 Sep 2015 17:11:36 -0400

pytest (2.7.2-2) unstable; urgency=medium

  * Team upload.
  * debian/patches/issue744-py35-compat: Upstream patch to fix Python 3.5
    compatibility by handling the change in the ast module API.

 -- Barry Warsaw <barry@debian.org>  Fri, 17 Jul 2015 11:38:21 -0400

pytest (2.7.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * debian/control:
    - Bump version requirements for python(,3)-py to >= 1.4.29.
    - Drop obsolete Breaks and Replaces.
    - Add dh-python to Build-Depends.
    - Bump version requirements for debhelper to >= 9.
  * debian/compat: Bump to 9.

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 05 Jul 2015 17:45:55 +0200

pytest (2.7.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * debian/patches/remove-herokuapp-images: Refreshed.
  * debian/watch: Use PyPI redirector.
  * debian/copyright: Remove unused paragraph.

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 14 May 2015 16:22:12 +0200

pytest (2.6.3-2) unstable; urgency=medium

  * Team upload.
  * debian/control: Bump version requirements for python(3)-py to >= 1.4.25.
    (Closes: #765844)

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 21 Oct 2014 06:18:11 +0200

pytest (2.6.3-1) unstable; urgency=medium

  * New upstream release
  * Update copyright years
  * Correct the license information on the documentation themes
  * Refresh remove-herokuapp-images patch.

 -- Simon Chopin <chopin.simon@gmail.com>  Mon, 13 Oct 2014 12:45:47 +0200

pytest (2.6.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * debian/control:
    - Bump version requirements for python(3)-py to >= 1.4.22.
  * Use local copy of Python's objects.inv. (Closes: #739406)
    - debian/control: Add python-doc to Build-Depends.
    - debian/patches/local-intersphinx: Add patch to python-doc's copy to
      objects.inv.
  * debian/copyright: Update copyright years.
  * debian/patches/remove-herokuapp-images: Remove images fetched from
    herokuapps.com.

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 26 Jul 2014 10:58:07 +0200

pytest (2.5.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * d/patches/remove_google_js: Refreshed.

 -- Barry Warsaw <barry@debian.org>  Mon, 28 Apr 2014 18:10:47 -0400

pytest (2.5.1-1) unstable; urgency=low

  * Team upload.
  * New upstream release.
  * d/control: Update python-py and python3-py dependency versions.
    Closes: #731299
  * d/patches/remove_google_js: Refreshed.

 -- Barry Warsaw <barry@debian.org>  Thu, 12 Dec 2013 10:27:41 -0500

pytest (2.4.2-1) unstable; urgency=low

  [ Martin Pitt ]
  * debian/tests/control: Drop trailing comma from test dependencies, which
    causes autopkgtest to fail.

  [ Simon Chopin ]
  * New upstream release (Closes: #728526)
    + Drop the reset-tmpdir-mode patch as the issue has been adressed upstream
  * Bump the policy version to 3.9.5 (no changes needed)
  * Bump copyright years and remove the paragraph for distribute_setup.py

 -- Simon Chopin <chopin.simon@gmail.com>  Sun, 24 Nov 2013 22:47:17 +0100

pytest (2.3.5-1) unstable; urgency=low

  [ Jakub Wilk ]
  * Use canonical URIs for Vcs-* fields.

  [ Simon Chopin ]
  * New upstream version (Closes: #707151)
  * B-D on debhelper 8.1 to conform to Policy 3.9.4
  * Add DEP-8 tests (Closes: #702121)
  * Patch the tests to restore the permissions of the tmpdir used in tests

  [ Sebastian Ramacher ]
  * Upload to unstable.

 -- Simon Chopin <chopin.simon@gmail.com>  Mon, 20 May 2013 20:31:42 +0200

pytest (2.3.4-1~exp2) experimental; urgency=low

  * Fix the version detection regexp to be less inclusive (Closes: #703351)
  * Adjust the shebang replacement regexp in postinst and rtinstall.
    Thanks to Roderich Schupp.
  * Remove the doc build directory in the clean target (Closes: #702117)

 -- Simon Chopin <chopin.simon@gmail.com>  Fri, 22 Mar 2013 14:24:48 +0100

pytest (2.3.4-1~exp1) experimental; urgency=low

  * Upload new upstream release to experimental (Closes: #699312)
    + Update the patch paths to build only the English documentation
  * Fix the permissions for the py.test-3 executable.
  * Up the dependency on python-py to 1.4.11
  * Add python(3)-nose, python-pexpect, python(3)-mock (>= 1.0.1)
    and python-twisted-core as Build-Depends to skip less tests.
  * Suggests python-mock (>= 1.0.1) in python-pytest
  * Bump Standards-Version to 3.9.4, no change needed.
  * Update copyright year.

 -- Simon Chopin <chopin.simon@gmail.com>  Sat, 02 Mar 2013 17:13:20 +0100

pytest (2.2.4-2) unstable; urgency=low

  * Use rt{install, remove} mechanisms from the Python package to replace the
    wrapper system. /usr/bin/py.test-X.Y will now be available only if the
    corresponding python package is installed. Thanks to Jakub Wilk.

 -- Simon Chopin <chopin.simon@gmail.com>  Sun, 24 Jun 2012 21:53:21 +0200

pytest (2.2.4-1) unstable; urgency=low

  * New upstream release
  * Drop patch fix-grammar-manpage (included upstream)
  * Bump the dependency to python[3]-py to >= 1.4.8

 -- Simon Chopin <chopin.simon@gmail.com>  Sun, 03 Jun 2012 03:04:02 +0200

pytest (2.2.3-3) unstable; urgency=low

  * Fix the version detection in the wrapper (Closes: #668691)

 -- Simon Chopin <chopin.simon@gmail.com>  Tue, 17 Apr 2012 12:56:18 +0200

pytest (2.2.3-2) unstable; urgency=low

  * Fix the shell wrapper (Closes: #668519)
  * Use the wrapper for py.test and py3-test to simplify d/rules
  * Enable test suite
    + Uncomment the override_dh_auto_test target
  * Build-Conflicts on old versions of python-pytest-xdist (<< 1.5)

 -- Simon Chopin <chopin.simon@gmail.com>  Fri, 13 Apr 2012 20:34:00 +0200

pytest (2.2.3-1) unstable; urgency=low

  * Initial release (Closes: #664071)
  * Disable the test suite for the bootstrap.

 -- Simon Chopin <chopin.simon@gmail.com>  Wed, 11 Apr 2012 15:09:52 +0200
